can´t upgrade -> Unable to initialize MongoDB



  • Hi,
    i want to update nodebb to latest master, but cannot upgrade to latest git version:

    /nodebb# git fetch
    /nodebb# git reset --hard origin/v0.9.x
    HEAD ist jetzt bei 34a725c Merge pull request #4013 from machado2/v0.9.x
    /nodebb# ./nodebb upgrade
    1. Bringing base dependencies up to date... OK
    2. Updating NodeBB data store schema.
    6/1 00:39 [3110] - error: Unable to initialize MongoDB! Is MongoDB installed? Error :Cannot find module 'mongodb'
    6/1 00:39 [3110] - error: Error: Cannot find module 'mongodb'
    at Function.Module._resolveFilename (module.js:326:15)
    at Function.Module._load (module.js:277:25)
    at Module.require (module.js:354:17)
    at require (internal/module.js:12:17)
    at Object.module.init (/var/www/nodebb/src/database/mongo.js:52:18)
    at upgrade (/var/www/nodebb/app.js:269:28)
    at Object.<anonymous> (/var/www/nodebb/app.js:74:2)
    at Module._compile (module.js:398:26)
    at Object.Module._extensions..js (module.js:405:10)
    at Module.load (module.js:344:32)
    OK
    
                                          NodeBB Upgrade Complete!

  • Plugin & Theme Dev

    @Pappmann Install mongodb module

    npm i mongodb



  • @pichalite same error :-(



  • i treid some things now i have folowing error

    error: Unable to initialize MongoDB! Is MongoDB installed? Error :Cannot find module 'connect-mongo'
    9/1 03:56 [23336] - error: Error: Cannot find module 'connect-mongo'
    

    i tried

    npm i connect-mongo 
    

    but that does not help

    i had to run

    ./nodebb setup
    

    before i can start nodebb again.


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.